Package: groovy.transform

## [Java] Annotation Type VisibilityOptions

- groovy.transform.VisibilityOptions

- Marker annotation used in the context of AST transformations to provide a custom visibility.

  Since:
    2.5.0

- - ### Element Summary

    Optional Element Summary
    Type | Name and Description
    --- | ---
    `Visibility` | `constructor` @default Visibility.UNDEFINED
    `String` | `id` @default Undefined.STRING
    `Visibility` | `method` @default Visibility.UNDEFINED
    `Visibility` | `type` @default Visibility.UNDEFINED
    `Visibility` | `value` @default Visibility.UNDEFINED

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Element Detail

    - #### public Visibility constructor

      @default Visibility.UNDEFINED

    - #### public String id

      @default Undefined.STRING

    - #### public Visibility method

      @default Visibility.UNDEFINED

    - #### public Visibility type

      @default Visibility.UNDEFINED

    - #### public Visibility value

      @default Visibility.UNDEFINED